Version 6.7.7 Source

Table Name: `tabUOM`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `uom_name` | Data | UOM Name |
2 | `must_be_whole_number` | Check | Must be Whole Number Check this to disallow fractions. (for Nos) |

### Controller

#### erpnext.setup.doctype.uom.uom

### Class UOM

Inherits from frappe.model.document.Document

#### Linked In:

- Bin
- BOM
- BOM Explosion Item
- BOM Item
- Delivery Note Item
- Item
- Material Request Item
- Opportunity Item
- Packed Item
- Packing Slip
- Packing Slip Item
- Product Bundle Item
- Production Order
- Production Plan Item
- Purchase Invoice Item
- Purchase Order Item
- Purchase Order Item Supplied
- Purchase Receipt Item
- Purchase Receipt Item Supplied
- Quotation Item
- Sales Invoice Item
- Sales Order Item
- Stock Entry Detail
- Stock Ledger Entry
- Stock Settings
- Stock UOM Replace Utility
- Supplier Quotation Item
- UOM Conversion Detail